#include <iostream>
#include <cmath>
using namespace std;


using namespace std;
void rendezes(int balszel, int jobbszel, int *a)
{
    int k,seged=0;
    if(jobbszel-balszel<2)
        return;
    else
    {
        k=balszel;
        for(int i=balszel+1;i<jobbszel;i++)
        {
            if(a[balszel]>a[i])
            {
                k++;
                seged=a[k];
                a[k]=a[i];
                a[i]=seged;
            }
        }
        if(k!=balszel)
            {
                seged=a[k];
                a[k]=a[balszel];
                a[balszel]=seged;
            }
        rendezes(balszel,k,a);
        rendezes(k+1,jobbszel,a);
    }
}

int main()
{
    int n,q,k=-1;
    cin>>n>>q;
    int a[n],b[q];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<q;i++)
    {
        cin>>b[i];
    }
    rendezes(0,n,a);
    for(int i=0;i<q;i++)
    {
        for(int j=0;j<n;j++)
        {
            if(b[i]==a[j])
            {
                k=j;
            }
        }
    if(n%2==1)
        {
            if(k!=-1 && k>=(n/2))
                cout<<k-n/2<<"\n";
            else if(k!=-1)
            {
                cout<<abs(k-n/2)+1<<"\n";
            }
            else
            {
                if(b[i]>=a[n-1])
                {
                    cout<<n<<"\n";
                }
                else if(b[i]<=a[0])
                {
                    cout<<n<<"\n";
                }
                else
                {
                    int c[n+1],m=-1;
                    for(int l=0;l<n+1;l++)
                    {
                        if(l==n)
                        c[l]=b[i];
                        else
                        c[l]=a[l];

                    }
                    c[n]=b[i];
                    rendezes(0,n+1,c);
                    for(int l=0;l<n;l++)
                    {
                        if(b[i]==c[l])
                        {
                            m=l;
                        }
                    }
                    if(m>=(n+1)/2)
                        cout<<2*(m-(n+1)/2);
                    else
                        cout<<2*abs(k-n/2);
                    }
            }
        }
        else
        {
             if(k!=-1 && k>=n/2-1)
             {
                cout<<abs(2*(k-n/2))<<endl;
             }
             else if(k!=-1)
             {
                 cout<<n-2*k-1<<endl;
             }
             else
             {
                if(b[i]>=a[n-1])
                {
                    cout<<n<<endl;
                }
                else if(b[i]<=a[0])
                {
                    cout<<n+1<<endl;
                }
                else
                {
                    int c[n+1],m=-1;
                    for(int l=0;l<n+1;l++)
                    {
                        if(l==n)
                        c[l]=b[i];
                        else
                        c[l]=a[l];

                    }
                    c[n]=b[i];
                    rendezes(0,n+1,c);
                    for(int l=0;l<n;l++)
                    {
                        if(b[i]==c[l])
                        {
                            m=l;
                        }
                    }

                    if( m>((n+1)/2))
                        cout<<m-ceil(float(n+1)/2)+1<<"\n";
                    else
                        {
                            int valami=abs(m-(n+1)/2.0)+2;
                            cout<<valami<<"\n";
                        }
                }
             }
        }
        k=-1;
    }
    return 0;

}